Set a website refresh schedule
curl --request PUT \
--url https://api.hyperspell.com/integrations/web_crawler/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"cron": "<string>",
"timezone": "<string>",
"enabled": true,
"max_depth": 2,
"limit": 500
}
'import requests
url = "https://api.hyperspell.com/integrations/web_crawler/schedule"
payload = {
"url": "<string>",
"cron": "<string>",
"timezone": "<string>",
"enabled": True,
"max_depth": 2,
"limit": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
cron: '<string>',
timezone: '<string>',
enabled: true,
max_depth: 2,
limit: 500
})
};
fetch('https://api.hyperspell.com/integrations/web_crawler/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperspell.com/integrations/web_crawler/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'cron' => '<string>',
'timezone' => '<string>',
'enabled' => true,
'max_depth' => 2,
'limit' => 500
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyperspell.com/integrations/web_crawler/schedule"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"enabled\": true,\n \"max_depth\": 2,\n \"limit\": 500\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hyperspell.com/integrations/web_crawler/schedule")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"enabled\": true,\n \"max_depth\": 2,\n \"limit\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperspell.com/integrations/web_crawler/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"enabled\": true,\n \"max_depth\": 2,\n \"limit\": 500\n}"
response = http.request(request)
puts response.read_body{
"url": "<string>",
"frequency": "never",
"configured": false,
"enabled": false,
"cron": "<string>",
"timezone": "UTC",
"max_depth": 3,
"limit": 100,
"next_run": "2023-11-07T05:31:56Z",
"schedule_missing": false,
"share": "personal"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations
Set a website refresh schedule
PUT
/
integrations
/
web_crawler
/
schedule
Set a website refresh schedule
curl --request PUT \
--url https://api.hyperspell.com/integrations/web_crawler/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"cron": "<string>",
"timezone": "<string>",
"enabled": true,
"max_depth": 2,
"limit": 500
}
'import requests
url = "https://api.hyperspell.com/integrations/web_crawler/schedule"
payload = {
"url": "<string>",
"cron": "<string>",
"timezone": "<string>",
"enabled": True,
"max_depth": 2,
"limit": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
cron: '<string>',
timezone: '<string>',
enabled: true,
max_depth: 2,
limit: 500
})
};
fetch('https://api.hyperspell.com/integrations/web_crawler/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperspell.com/integrations/web_crawler/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'cron' => '<string>',
'timezone' => '<string>',
'enabled' => true,
'max_depth' => 2,
'limit' => 500
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyperspell.com/integrations/web_crawler/schedule"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"enabled\": true,\n \"max_depth\": 2,\n \"limit\": 500\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hyperspell.com/integrations/web_crawler/schedule")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"enabled\": true,\n \"max_depth\": 2,\n \"limit\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperspell.com/integrations/web_crawler/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"enabled\": true,\n \"max_depth\": 2,\n \"limit\": 500\n}"
response = http.request(request)
puts response.read_body{
"url": "<string>",
"frequency": "never",
"configured": false,
"enabled": false,
"cron": "<string>",
"timezone": "UTC",
"max_depth": 3,
"limit": 100,
"next_run": "2023-11-07T05:31:56Z",
"schedule_missing": false,
"share": "personal"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Body
application/json
Required string length:
1 - 2048Available options:
never, daily, weekly Five-field cron expression: minute hour day-of-month month day-of-week. Omitted keeps the saved expression; a new website refreshes daily at 09:00.
Required string length:
1 - 128Required string length:
1 - 100Available options:
personal, shared Required range:
0 <= x <= 5Required range:
1 <= x <= 1000Response
Successful Response
Available options:
never, daily, weekly Available options:
personal, shared Was this page helpful?